package com.ux.video.file.filerecovery.utils

import com.ux.video.file.filerecovery.db.ResultData


sealed class ScanState  {
    data class Progress(val scannedCount: Int,val filePath: String) : ScanState()
    data class Complete(val result: ArrayList<ResultData>) : ScanState()
}